HUGO-BENCHMARK(1)

NAME

hugo-benchmark - Benchmark Hugo by building a site a number of times.

SYNOPSIS

hugo benchmark [flags]

DESCRIPTION

Hugo can build a site many times over and analyze the running process creating a benchmark.

OPTIONS

-b, --baseURL=""
    hostname (and path) to the root, e.g. ⟨http://spf13.com/⟩

-D, --buildDrafts[=false]
    include content marked as draft

-E, --buildExpired[=false]
    include expired content

-F, --buildFuture[=false]
    include content with publishdate in the future

--cacheDir=""
    filesystem path to cache directory. Defaults: $TMPDIR/hugo_cache/

--cleanDestinationDir[=false]
    remove files from destination not found in static directories

-c, --contentDir=""
    filesystem path to content directory

-n, --count=13
    number of times to build the site

--cpuprofile=""
    path/filename for the CPU profile file

-d, --destination=""
    filesystem path to write files to

--disableKinds=[]
    disable different kind of pages (home, RSS etc.)

--enableGitInfo[=false]
    add Git revision, date and author info to the pages

--forceSyncStatic[=false]
    copy all files when static is changed.

--gc[=false]
    enable to run some cleanup tasks (remove unused cache files) after the build

-h, --help[=false]
    help for benchmark

--i18n-warnings[=false]
    print missing translations

--ignoreCache[=false]
    ignores the cache directory

-l, --layoutDir=""
    filesystem path to layout directory

--memprofile=""
    path/filename for the memory profile file

--minify[=false]
    minify any supported output format (HTML, XML etc.)

--noChmod[=false]
    don't sync permission mode of files

--noTimes[=false]
    don't sync modification time of files

--renderToMemory[=false]
    render to memory (only useful for benchmark testing)

-s, --source=""
    filesystem path to read files relative from

--stepAnalysis[=false]
    display memory and timing of different steps of the program

--templateMetrics[=false]
    display metrics about template executions

--templateMetricsHints[=false]
    calculate some improvement hints when combined with --templateMetrics

-t, --theme=""
    theme to use (located in /themes/THEMENAME/)

--themesDir=""
    filesystem path to themes directory

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--debug[=false]
    debug output

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo(1)